import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/order/orderViewers/list',
    method: 'get',
    params: query
  })
}


// id获取详情
export function getSelectById(id) {
  return request({
    url: '/order/orderInfo/detail?id=' + id,
    method: 'get'
  })
}

//  导出
export function downOrderListXls(params) {
  return request({
    url: '/order/orderViewers/listExport',
    method: 'get',
    responseType: 'blob',
    params
  });
}


// 打印
export const printApi = (data) => {
  return request({
    url: '/order/orderInfo/ticketout',
    method: 'post',
    data: data
  })
}

// 退款
export const refundSubmitApi = (data) => {
  return request({
    url: '/order/orderInfo/refundSubmit',
    method: 'post',
    data: data
  })
}
